/* Extras */
@font-face {
    font-family: 'MaeiiahenGlyphs';
    src: url('/MaeiiahenGlyphs.woff2') format('woff2'),
         url('/MaeiiahenGlyphs.woff') format('woff'),
         url('/MaeiiahenGlyphs.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'MaeiiahenRunes';
    src: url('/MaeiiahenRunes.woff2') format('woff2'),
         url('/MaeiiahenRunes.woff') format('woff'),
         url('/MaeiiahenRunes.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

a
{
    color: white;
    font-weight:bold;
    text-decoration:none;
}

a:link
{
    color: white;
    font-weight:normal;
}

a:visited
{
    color: white;
    font-weight:normal;
}

/* Défaut */
*,
*::before,
*::after {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	outline: none;
	font-family: 'Tw Cen MT', sans-serif;
}

.container {
	position: relative;
	height: 100vh;
	width: 100%;
	/* background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1)), url('background.jpg'); */
	background-size: cover;
	background-position: center;
	padding: 0 8%;
}

.container-legal {
	position: relative;
	height: 100vh;
	width: 100%;
	background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1)), url('background_legal.jpg');
	background-size: cover;
	background-position: center;
	padding: 0 8%;
}

.container-maintenance {
	position: relative;
	height: 100vh;
	width: 100%;
	background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.1)), url('background_original.jpg');
	background-size: cover;
	background-position: center;
	padding: 0 8%;
}

nav {
	display: flex;
	justify-content: space-between;
	align-items: center;
	flex-wrap: wrap;
	padding: 5px 0;
}

nav .logo {
	width: 120px;
	cursor: pointer;
}

nav .cart {
	width: 24px;
	cursor: pointer;
}

nav ul {
	display: flex;
	justify-content: flex-end;
	flex: 1;
	padding-right: 40px;
	text-align: right;
	list-style-type: none;
}

ul li {
	margin-right: 10px;
}

ul li a {
	position: relative;
	padding: 10px 20px;
	text-decoration: none;
	color: #fff;
	font-size: 16px;
}

ul li a::after {
	content: '';
	position: absolute;
	bottom: 0;
	right: 0;
	width: 0;
	transform: translateX(-50%) translateY(-5px);
	height: 3px;
	background: #ffa400;
	transition: 0.3s;
}

ul li a:hover::after {
	width: 38%;
}

.site-container {
	position: absolute;
	bottom: 10%;
	color: #fff;
}

.site-container p {
	font-size: 50px;
	font-weight: bold;
}

.site-container h1 {
	font-size: 120px;
	line-height: 120px;
	margin-left: -10px;
	color: transparent;
	-webkit-text-stroke: 1px white;
	background: url('pattern.png');
	-webkit-background-clip: text;
	background-clip: text;
	background-position: 0 0;
	animation: animate 60s linear 0s infinite alternate;
}

@keyframes animate {
	100% {
		background-position: -500px 0;
	}
}

.site-container h3 {
	font-size: 40px;
	font-weight: 500;
}

.site-container h5 {
	font-family: 'MaeiiahenGlyphs', sans-serif;
	font-size: 8px;
	font-weight: 500;
}

.site-container .row {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	margin-top: 40px;
}

.row a {
	display: flex;
	align-items: center;
	padding: 5px 20px;
	text-decoration: none;
	color: #fff;
	border: 1px solid #fff;
	margin-right: 40px;
	font-size: 18px;
	transition: 0.3s;
}

.row a:hover {
	background-color: #fff;
	color: #000;
}

.row a span {
	font-size: 15px;
	font-weight: bold;
	line-height: 2;
	margin-left: 10px;
}

.row span {
	font-size: 18px;
}

.date {
	position: absolute;
	right: 5%;
	bottom: 8%;
	-webkit-text-stroke: 1px black;
}

.social-icons {
	position: absolute;
	right: 5%;
	bottom: 8%;
}

.social-icons a {
	padding: 5px;
	margin-right: 4px;
}

/* Media Queries */
@media (max-width: 768px) {
    .container {
        padding: 0 4%;
    }

    nav ul {
        flex-direction: column;
        padding-right: 0;
    }

    ul li {
        margin-bottom: 10px;
    }

    ul li a {
        padding: 10px;
        font-size: 14px;
    }

    .site-container {
        top: 20%;
        padding: 0 10px;
    }

    .site-container p {
        font-size: 30px;
    }

    .site-container h1 {
        font-size: 60px;
        line-height: 60px;
        margin-left: 0;
        -webkit-text-stroke: 0.5px white;
    }

    .site-container h4 {
        font-size: 24px;
    }

    .row a {
        padding: 5px 10px;
        margin-right: 10px;
        font-size: 14px;
    }

    .row span {
        font-size: 14px;
    }

	.date {
	    position: absolute;
	    right: 5%;
	    bottom: 8%;
	    color: rgb(255, 255, 255) !important;
	    font-weight: bold !important;
	    font-size: 16px !important;
	    -webkit-text-stroke: 1px rgb(0, 0, 0);
	}

	.date * {
    	color: rgb(255, 255, 255) !important;
    	font-size: 16px !important;
    	font-weight: bold !important;
		-webkit-text-stroke: 1px rgb(0, 0, 0);
	}
}

	/* Par défaut : fond centré sur les grands écrans */
	.container {
	    background-position: center center;
	    background-repeat: no-repeat;
	    background-size: cover;
	}

/* Sur mobile : afficher la partie droite de l'image */
@media (max-width: 768px) {
    .container {
        background-position: 90% center;
    }
	.cart {
    	filter: brightness(0) invert(1);
	}
	#music-button img {
    	filter: brightness(0) invert(1);
	}

    /* Mise en page mobile pour les blocs accueil et background selector */
    .site-container .row {
        display: block;
        text-align: center;
        margin-bottom: 20px;
    }

    .site-container .row span {
        display: block;
        margin-bottom: 10px;
    }

    #background-selector {
        display: block;
        margin: 0 auto;
    }

	.site-container h1 {
    	font-size: 50px;
    	line-height: 50px;
    	margin-left: 0;
    	-webkit-text-stroke: 0.5px white;
	}

    .date {
        font-size: 16px;
    }
	
	.date * {
        font-size: 16px !important;
    }
}